apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ etherpad_name }}
  namespace: {{ namespace }}
data:
  settings.json: |
    {
      "title": "k8sPad",
      "favicon": "favicon.ico",
      "skinName": "colibris",
      "skinVariants": "super-light-toolbar super-light-editor light-background",
      "ip": "0.0.0.0",
      "port": 8080,
      "showSettingsInAdminPage": true,
{% if etherpad_db_type == 'postgres' %}
      "dbType": "postgres",
      "dbSettings": {
        "user": "DB_USER_PLACEHOLDER",
        "host": "DB_HOST_PLACEHOLDER",
        "port": DB_PORT_PLACEHOLDER,
        "password": "DB_PASS_PLACEHOLDER",
        "database": "DB_NAME_PLACEHOLDER"
      },
{% elif etherpad_db_type in [ 'mariadb', 'mysql', 'percona' ] %}
      "dbType": "mysql",
      "dbSettings": {
        "user": "DB_USER_PLACEHOLDER",
        "host": "DB_HOST_PLACEHOLDER",
        "port": DB_PORT_PLACEHOLDER,
        "password": "DB_PASS_PLACEHOLDER",
        "database": "DB_NAME_PLACEHOLDER",
        "charset" : "utf8mb4"
      },
{% else %}
      "dbType": "dirty",
      "dbSettings": { "filename": "var/dirty.db" },
{% endif %}
      "defaultPadText": "Welcome to k8sPad!\n\nThis pad text is synchronized as you type, so that everyone viewing this page sees the same text. This allows you to collaborate seamlessly on documents!\n",
      "padOptions": {
        "noColors": false, "showControls": true,
        "showChat": true, "showLineNumbers": true,
        "useMonospaceFont": false, "userName": false,
        "userColor": false, "rtl": false,
        "alwaysShowChat": false, "chatAndUsers": false,
        "lang": "en-gb"
      },
      "padShortcutEnabled": {
        "altF9": true, "altC": true, "cmdShift2": true,
        "delete": true, "return": true, "esc": true,
        "cmdS": true, "tab": true, "cmdZ": true, "cmdY": true,
        "cmdI": true, "cmdB": true, "cmdU": true, "cmd5": true,
        "cmdShiftL": true, "cmdShiftN": true, "cmdShift1": true,
        "cmdShiftC": true, "cmdH": true, "ctrlHome": true,
        "pageUp": true, "pageDown": true
      },
      "suppressErrorsInPadText": {% if do_debugs | default(False) %}fals{% else %}tru{% endif %}e, "requireSession": false,
      "requireSession": false, "editOnly": false, "sessionNoPassword": false,
      "minify": true, "maxAge": 21600, "abiword": null, "soffice": null,
      "tidyHtml": null, "allowUnknownFileEnds": true, "requireAuthentication": false,
      "requireAuthorization": false, "trustProxy": false, "disableIPlogging": false,
      "automaticReconnectionTimeout": 0,
      "scrollWhenFocusLineIsOutOfViewport": {
        "percentage": {
          "editionAboveViewport": 0, "editionBelowViewport": 0
         },
         "duration": 0,
         "scrollWhenCaretIsInTheLastLineOfViewport": false,
         "percentageToScrollWhenUserPressesArrowUp": 0
      },
      "users": {
{% if do_lemon %}
        "admin0": { "password": "from-lemon", "is_admin": true }
{% else %}
        "admin0": { "password": "changeme", "is_admin": true }
{% endif %}
      },
      "socketTransportProtocols": ["xhr-polling", "jsonp-polling", "htmlfile"],
      "importMaxFileSize": {{ etherpad_import_max_file_size }},
      "allowAnyoneToImport": true,
      "loadTest": false,
      "loglevel": "INFO",
      "logconfig": {
        "appenders": [
          { "type": "console" }
        ]
      }
    }
